import { EdgeConfigClient } from '@vercel/edge-config';
export default class EdgeConfigStore {
    private edgeStoreId;
    private vercelApiToken;
    _baseUrl: string;
    client: EdgeConfigClient;
    /**
     * @param edgeConfig Vercel Edge config store connection string (usually Vercel creates EDGE_CONFIG env var, this is what needed)
     * @param edgeStoreId Vercel Edge config store id
     * @param vercelApiToken  Vercel api token, used for store write operations
     */
    constructor(edgeConfig: string, edgeStoreId: string, vercelApiToken: string);
    get<T>(key: string): Promise<T>;
    set(key: string, value: object | string | number): Promise<any>;
}
//# sourceMappingURL=edge-config-store.d.ts.map